Available in VPC
Get details of projects in a workspace.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v1/workspaces/{workspace_name}/projects/{project_id} |
Request headers
For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
project_id |
String | Required | Project ID
|
Request example
The request example is as follows:
curl --location --request GET 'https://https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Project details |
result.projectId |
Integer | - | Project ID |
result.name |
String | - | Project name |
result.isBaseProject |
Boolean | - | Default project or not
|
result.createdUserName |
String | - | User name that created the project |
result.createdTime |
String | - | Project creation date and time
|
result.updatedUserName |
String | - | User name who last edited the project |
result.updatedTime |
String | - | Last project modification date and time
|
Response status codes
For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"projectId": 1234,
"name": "project_name",
"isBaseProject": true,
"createdUserName": "username",
"createdTime": "2025-04-23T13:56:56",
"updatedUserName": "username",
"updatedTime": "2025-04-23T13:56:56"
}
}